%if 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%endif

Name: python-pyrpm
Release: 1%{?dist}
Summary: Pure python RPM reader and YUM metadata generator.
Version: 0.5.3

Group: Development/Libraries
License: BSD
Source0: %{name}-%{version}.tar.gz
Url: https://github.com/02strich/pyrpm

BuildArch: noarch
BuildRequires: python-setuptools
BuildRequires: python-devel

%description 
A pure python RPM file reader and YUM metadata generator.


%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT --record=pyrpm-files.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files -f pyrpm-files.txt
%defattr(-,root,root)
%{python_sitelib}/pyrpm*
%{python_sitelib}/*egg-info
%doc README.rst

%changelog
* Fri Jul 24 2015 abutcher <abutcher@redhat.com> - 0.5.3-1
- Initial.
